Page MenuHomePhabricator

copyfiles: add a way to relax the file system checking for hardlink
ClosedPublic

Authored by marmoute on Jun 9 2021, 10:38 AM.

Details

Summary

This is critical for transaction file, less for hardlink/copy clone as we are
about to do. Since pure build does not have a getfstype implementation this
would disable hardlink clone for all pure build. So we add a parameter to
control that extra check.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jun 9 2021, 10:38 AM
pulkit accepted this revision.Jun 14 2021, 4:44 PM
This revision is now accepted and ready to land.Jun 14 2021, 4:44 PM
baymax updated this revision to Diff 28576.Jun 15 2021, 10:24 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jun 16 2021, 4:16 AM
baymax updated this revision to Diff 28624.Jun 21 2021, 1:09 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)